Subject: bug#49509: libsigsegv fails to build on emulated aarch64 [core-updates]

From: Maxime Devos <[email-masked]>
Date: Sun, 11 Jul 2021 16:11:38 +0200

Ludovic Courtès schreef op zo 11-07-2021 om 00:19 [+0200]:
> Hi,
> 
> Maxime Devos <[email-masked]> skribis:
> 
> > FAIL: stackoverflow1
> > ====================
> > 
> > qemu: uncaught target signal 11 (Segmentation fault) - core dumped
> > FAIL stackoverflow1 (exit status: 139)
> > 
> > FAIL: stackoverflow2
> > ====================
> > 
> > Starting recursion pass 1.
> > Stack overflow 1 missed.
> > FAIL stackoverflow2 (exit status: 1)
> 
> For now I worked around it by offloading this to a “real” machine
> (overdrive1), where it builds fine.  I wonder if there’s much we can do
> regarding QEMU’s behavior here.

Maybe detect if QEMU is used, and if so, don't run the test suite?
Not really a ‘clean’ solution though, w.r.t. reproducibility,
and I wouldn't know how to detect this.

If this is a bug in QEMU, then ideally that would be fixed in QEMU,
but I wouldn't know where to look.

Greetings,
Maxime.